/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.person.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QKreditinstitut extends EntityPathBase<Kreditinstitut> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QKreditinstitut kreditinstitut = new QKreditinstitut("kreditinstitut");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath bankleitzahl = createString("bankleitzahl");

  public final StringPath bezeichnung = createString("bezeichnung");

  public final StringPath bic = createString("bic");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QKreditinstitut(Class<? extends Kreditinstitut> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QKreditinstitut(String variable) {
    this(Kreditinstitut.class, forVariable(variable), INITS);
  }

  public QKreditinstitut(Path<? extends Kreditinstitut> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QKreditinstitut(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QKreditinstitut(PathMetadata metadata, PathInits inits) {
    this(Kreditinstitut.class, metadata, inits);
  }
}
